%global owner HardySimpson
%global project zlog

Name:           zlog
Version:        1.2.16
Release:        1%{?dist}
Summary:        A reliable, high-performance, thread safe, flexsible, clear-model, pure C logging library

License:        LGPLv2
URL:            https://github.com/HardySimpson/zlog
Source0:        https://github.com/%{owner}/%{project}/archive/refs/tags/%{version}/%{project}-%{version}.tar.gz

BuildRequires:  gcc

%description
zlog is a reliable, high-performance, thread safe, flexible, clear-model, pure
C logging library.

Actually, in the C world there was NO good logging library for applications
like logback in java or log4cxx in c++. Using printf can work, but can not be
redirected or reformatted easily. syslog is slow and is designed for system
use. So I wrote zlog. It is faster, safer and more powerful than log4c. So it
can be widely used.

%package devel
Summary:        Development files for %{project}
Requires:       %{name}%{?_isa} = %{version}-%{release}

%description devel
%{summary}.


%prep
%autosetup


%build
%make_build PREFIX=%{_prefix}


%install
%make_install PREFIX=%{buildroot}%{_prefix} LIBRARY_PATH=%{_lib}


%files
%license COPYING
%doc Changelog README.md TODO
%{_bindir}/zlog-chk-conf
%{_libdir}/libzlog.so.*

%files devel
%{_includedir}/zlog.h
%{_libdir}/libzlog.so
%{_libdir}/libzlog.a


%changelog
* Wed Feb 01 2023 Richard Shaw <hobbes1069@gmail.com> - 1.2.16-1
- Update to 1.2.16.

* Tue May 10 2022 Richard Shaw <hobbes1069@gmail.com> - 1.2.15-1
- Initial packaging.
